import { PassSDK, RedeemAndRevealSDK, SimultaneousRevealSDK, UseCase } from '@inkerlabs/sdk';
declare type ReturnType = {
    [UseCase.PASS]: PassSDK["buyPrivate"];
    [UseCase.RR]: RedeemAndRevealSDK["buyPrivate"];
    [UseCase.SR]: SimultaneousRevealSDK["buyPrivate"];
};
export default function useBuyPrivateFactory<T extends UseCase>(useCase: T): () => ReturnType[T];
export {};
